CREATE TABLE CRST_FA_DEPRN_PERIODS
(
  BOOK_TYPE_CODE              VARCHAR2(15 BYTE),
  PERIOD_NAME                 VARCHAR2(15 BYTE),
  PERIOD_COUNTER              NUMBER(15),
  FISCAL_YEAR                 NUMBER(4),
  PERIOD_NUM                  NUMBER(3),
  PERIOD_OPEN_DATE            DATE,
  PERIOD_CLOSE_DATE           DATE,
  DEPRECIATION_BATCH_ID       NUMBER(15),
  RETIREMENT_BATCH_ID         NUMBER(15),
  RECLASS_BATCH_ID            NUMBER(15),
  TRANSFER_BATCH_ID           NUMBER(15),
  ADDITION_BATCH_ID           NUMBER(15),
  ADJUSTMENT_BATCH_ID         NUMBER(15),
  DEFERRED_DEPRN_BATCH_ID     NUMBER(15),
  CALENDAR_PERIOD_OPEN_DATE   DATE,
  CALENDAR_PERIOD_CLOSE_DATE  DATE,
  CIP_ADDITION_BATCH_ID       NUMBER,
  CIP_ADJUSTMENT_BATCH_ID     NUMBER,
  CIP_RECLASS_BATCH_ID        NUMBER,
  CIP_RETIREMENT_BATCH_ID     NUMBER,
  CIP_REVAL_BATCH_ID          NUMBER,
  CIP_TRANSFER_BATCH_ID       NUMBER,
  REVAL_BATCH_ID              NUMBER,
  DEPRN_ADJUSTMENT_BATCH_ID   NUMBER(15),
  DEPRN_RUN                   VARCHAR2(1 BYTE)
);
